Skip to navigation

Create a workload.

View as Markdown
Submit a workload with metadata and a Kubernetes manifest.

Authentication

AuthorizationBearer
Bearer authentication

Query parameters

dryRunbooleanOptionalDefaults to false
True to perform validations only, without side effects.

Request

Workload metadata and manifest
metadataobjectRequired
manifestmap from strings to anyOptional
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.
manifestBase64EncodedstringOptionalformat: "byte"<=2097152 characters
Kubernetes YAML manifest encoded in base 64. Mutually exclusive with manifest.

Response

Workload creation request accepted.
metadataobject
desiredPhaseenum
The desired phase of the workload.
Allowed values:
workloadManifestmap from strings to any
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.
rawManifestmap from strings to any
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error
503
Service Unavailable Error